Subject: Git as a backup solution

From: Thomas Harning <[email-masked]>
Date: Tue, 15 Apr 2008 17:59:25 -0400

I've seen a few things out there that permits the use of Git as a
backup system...

The only one that seems to 'really' be able to store everything in a
Git repository is 'gibak', implemented in Ocaml...

Others seem to mostly fit the note, except for the fact that they
cannot store .git directories (kind of important for a 'generic' backup
solution)....  
It'd be interesting to see what a backup solution could
do WRT taking advantage of a given .git repository in packing even
better by doing something like taking a stash of the current state of
a git workspace + other files not being tracked by it for smaller
packs.........

Are there any others out there?